### Method

# Gtk.Statusbar.push

#### Declaration [src]

    guint
    gtk_statusbar_push (
      GtkStatusbar* statusbar,
      guint context_id,
      const char* text
    )

#### Description [src]

Pushes a new message onto a statusbar’s stack.

#### Parameters

`context_id` | `guint`
| the message’s context id, as returned by `gtk_statusbar_get_context_id()`
`text` | `const char*`
| the message to add to the statusbar
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `guint`
a message id that can be used with `gtk_statusbar_remove()`.